Skip to main content
POST
/
tax
/
transaction
/
{transactionId}
/
tag
Add Tag to Transaction
curl --request POST \
  --url https://api.anchorage-staging.com/v2/tax/transaction/{transactionId}/tag \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountId": "SubaccountID",
  "distributionCode": "7",
  "postponedLateReason": "qualified-disaster",
  "tag": "contribution",
  "taxYear": "2024",
  "totalDistribution": true
}
'
{
  "data": {
    "status": "accepted"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

transactionId
string
required

The ID of the transaction to tag (Same as the one returned for Transactions in the Subaccounts API )

Body

application/json
accountId
string

The subaccount for which the transaction happened.

Example:

"SubaccountID"

distributionCode
enum<string>

IRS distribution code for Form 1099-R. Required when tag is 'distribution'.

Single codes:

  • 1: Early distribution, no known exception
  • 2: Early distribution, exception applies
  • 3: Disability
  • 4: Death
  • 7: Normal distribution
  • 8: Excess contributions plus earnings/excess deferrals taxable in current year
  • B: Designated Roth account distribution
  • G: Direct rollover and direct payment
  • H: Direct rollover of a designated Roth account distribution to a Roth IRA
  • J: Early distribution from a Roth IRA, no known exception
  • K: Distribution of traditional IRA assets not having a readily available FMV
  • N: Recharacterized IRA contribution made for current year
  • P: Excess contributions plus earnings/excess deferrals taxable in prior year
  • Q: Qualified distribution from a Roth IRA
  • R: Recharacterized IRA contribution made for prior year
  • S: Early distribution from a SIMPLE IRA in first 2 years, no known exception
  • T: Roth IRA distribution, exception applies

Combination codes (two codes that apply to a single distribution): 18, 1B, 1K, 1P, 28, 2B, 2K, 2P, 48, 4B, 4G, 4H, 4K, 4P, 6B, 7B, 7K, 81, 82, 84, 8B, 8J, 8K, B1, B2, B4, B7, B8, BG, BL, BP, G4, GB, GK, H4, J8, JP, K1, K2, K4, K7, K8, KG, LB, P1, P2, P4, PB, PJ

Available options:
1,
2,
3,
4,
7,
8,
B,
G,
H,
J,
K,
N,
P,
Q,
R,
S,
T,
18,
1B,
1K,
1P,
28,
2B,
2K,
2P,
48,
4B,
4G,
4H,
4K,
4P,
6B,
7B,
7K,
81,
82,
84,
8B,
8J,
8K,
B1,
B2,
B4,
B7,
B8,
BG,
BL,
BP,
G4,
GB,
GK,
H4,
J8,
JP,
K1,
K2,
K4,
K7,
K8,
KG,
LB,
P1,
P2,
P4,
PB,
PJ
Example:

"7"

postponedLateReason
string

Reason for postponed contribution or late rollover. Required when tag is 'postponed' or 'late-rollover'.

Example:

"qualified-disaster"

tag
enum<string>

Tag to be attributed to the transaction.

Available options:
contribution,
transfer-in,
conversion,
distribution,
transfer-out,
recharacterization,
late-rollover,
postponed,
rollover
Example:

"contribution"

taxYear
string

The fiscal year the transaction belongs to.

Example:

"2024"

totalDistribution
boolean | null

Deprecated: This field is ignored. Total distribution is now auto-computed from account balances.

Example:

true

Response

Accepted tagging request

data
object
required